SciChart® the market leader in Fast WPF Charts, WPF 3D Charts, iOS Chart, Android Chart and JavaScript Chart Components

0
0

Good day guys. I have download SciChart_iOS_SDK_4.2.0.5533 on Macbook M1. And try to integrate ios-arm64_armv7 verions to my project. I have added SciChart.xcframework to frameworks in Xcode 12.4. But the build is failed with a few errors:

  1. unable to load standard library for target arm-64-apple-ios9.0
  2. Failed to build module ‘SciChart’ from its module interface, it may have been damaged or it may have triggered a bug in Swift compiler when it was produced.

Can you tell me please did I use the right version of SciChart.xcframework for apple silicone? And how to solve this errors?

Version
4.2.0
Images
  • You must to post comments
0
0

Hi, Alexander.

We recommend to install SciChart using cocoapods or SwiftPM. But if you want to install SciChart library manually, you can drag & drop SciChart.xcframework folder into the Frameworks, Libraries, and Embedded Content in your target file, see the screenshot.

You can find more information here

Images
  • You must to post comments
Showing 1 result
Your Answer

Please first to submit.